// Copyright 2019 terrier989@gmail.com.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/// A document database API.
library datastore;

export 'src/datastore/blob.dart';
export 'src/datastore/collection.dart';
export 'src/datastore/datastore.dart';
export 'src/datastore/document.dart';
export 'src/datastore/exceptions.dart';
export 'src/datastore/extensions.dart';
export 'src/datastore/filter.dart';
export 'src/datastore/filter_visitor.dart';
export 'src/datastore/geo_point.dart';
export 'src/datastore/query.dart';
export 'src/datastore/query_result.dart';
export 'src/datastore/query_result_item.dart';
export 'src/datastore/schema.dart';
export 'src/datastore/schema_visitor.dart';
export 'src/datastore/snapshot.dart';
export 'src/datastore/sorter.dart';
export 'src/datastore/transaction.dart';
